<?php

namespace Database\Seeders;

use App\Models\Blog;
use Illuminate\Database\Seeder;
use Illuminate\Support\Collection;

class BlogSeed extends Seeder
{
    public function run(): void
    {
        $this->records()->each(function ($record) {
            echo 'Processing: '.$record['slug'].PHP_EOL;
            Blog::updateOrCreate([
                'slug' => $record['slug'],
            ], $record);
        });
    }

    private function records(): Collection
    {
        return collect([
        ]);
    }
}
